aboutsummaryrefslogtreecommitdiff
path: root/academic/megax/megax.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/megax/megax.SlackBuild')
-rw-r--r--academic/megax/megax.SlackBuild25
1 files changed, 12 insertions, 13 deletions
diff --git a/academic/megax/megax.SlackBuild b/academic/megax/megax.SlackBuild
index 7711d715a58d3..4f20e381802e2 100644
--- a/academic/megax/megax.SlackBuild
+++ b/academic/megax/megax.SlackBuild
@@ -37,12 +37,22 @@ DEBVER=$(echo $VERSION | tr _ -)
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ DEBARCH="amd64"
+elif [[ $ARCH =~ i?86 ]]; then
+ LIBDIRSUFFIX=""
+ DEBARCH="i386"
+else
+ printf "\n\n$ARCH is not supported... \n" >/dev/stderr
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -55,17 +65,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i386" ] || [ "$ARCH" = "i486" ] || [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
- LIBDIRSUFFIX=""
- DEBARCH="i386"
-elif [ "$ARCH" = "x86_64" ]; then
- LIBDIRSUFFIX="64"
- DEBARCH="amd64"
-else
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
-
set -e
rm -rf $PKG